For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Keys Webhook

Subscribe

Add webhook endpoint to an API key

post
Header parameters
api-keystringRequired
Body
urlstringRequired
Responses
201Success
application/json
webhookIdstringRequired
post/v1/api-keys/webhook/subscribe
POST /v1/api-keys/webhook/subscribe HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 32

{
  "url": "text",
  "events": [
    "test"
  ]
}
{
  "webhookId": "text"
}

Unsubscribe

Remove webhook endpoint from an API key

delete
Path parameters
apiWebhookIdstringRequired
Header parameters
api-keystringRequired
Responses
201Success

No content

delete/v1/api-keys/webhook/unsubscribe/{apiWebhookId}
DELETE /v1/api-keys/webhook/unsubscribe/{apiWebhookId} HTTP/1.1
api-key: text
Accept: */*

No content

Last updated